Hi mastergap,
Sorry if my English is not so good, I'm french.
I got the same error on Ubuntu 12.04 and it broke my package manager. As I couldn't install or remove anything, i re-installed Ubuntu...